## org.eclipse.emf.compare.diff.metamodel
Interface DiffResourceSet

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DiffResourceSetImpl

    public interface DiffResourceSet

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Resource Set'. Root of the differences model for ResourceSet-wide differencing.

The following features are supported:

- `Diff Models`
- `Resource Diffs`

See Also:
  `DiffPackage.getDiffResourceSet()`

Method Summary
`org.eclipse.emf.common.util.EList<DiffModel>` `getDiffModels()` Returns the value of the 'Diff Models' containment reference list.
`org.eclipse.emf.common.util.EList<ResourceDiff>` `getResourceDiffs()` Returns the value of the 'Resource Diffs' containment reference list.
`int` `getSubchanges()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiffModels

    org.eclipse.emf.common.util.EList<DiffModel> getDiffModels()

  Returns the value of the 'Diff Models' containment reference list. The list contents are of type `DiffModel`.

  If the meaning of the 'Diff Models' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diff Models' containment reference list.
  See Also:
    `DiffPackage.getDiffResourceSet_DiffModels()`

### getResourceDiffs

    org.eclipse.emf.common.util.EList<ResourceDiff> getResourceDiffs()

  Returns the value of the 'Resource Diffs' containment reference list. The list contents are of type `ResourceDiff`.

  If the meaning of the 'Resource Diffs' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Diffs' containment reference list.
  See Also:
    `DiffPackage.getDiffResourceSet_ResourceDiffs()`

### getSubchanges

    int getSubchanges()

Copyright 2006 IBM Corporation and others. All Rights Reserved.